{layout '../@layoutOwner.latte'}

{block content}
<div class="row clearfix">
	{*Add employee card*}
	<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		<div class="card">
			<div class="header">
				<h2>Seznam zaměstnanců</h2>
			</div>
			<div class="body table-responsive">
				<table class="table table-striped">
					<thead>
					<tr>
						<th>#</th>
						<th>Pozice</th>
						<th>Příjmení</th>
						<th>Jméno</th>
						<th>E-mail</th>
						<th>Přihlašovací jméno</th>
						<th></th>
					</tr>
					</thead>
					<tbody>
					{php $count = 1}
					{foreach $employees as $employee}
						<tr>
							<th scope="row">{$count++}</th>
							<td>{$positions[$employee->getPosition()]}</td>
							<td>{$employee->getSurname()}</td>
							<td>{$employee->getName()}</td>
							<td>{$employee->getUser()->getEmail()}</td>
							<td>{$employee->getUser()->getUsername()}</td>
							<td class="align-right">
								<a n:href="Employee:edit $employee->getId()" class="btn bg-black waves-effect waves-light">
									<i class="material-icons">edit</i>
								</a>
								<a n:href="remove! $employee->getId()" class="btn bg-black waves-effect waves-light">
									<i class="material-icons">remove</i>
								</a>
							</td>
						</tr>
					{/foreach}
					</tbody>
				</table>
				<div class="center-align">
					<a n:href="Employee:create" class="btn bg-black waves-effect waves-light">Pridat zaměstnance</a>
				</div>
			</div>
		</div>
	</div>
</div>
